# pyccsone

Python libary for communication with the Grass Valley CCS-ONE using its xml interface


## Usage:
### create CCSOne object:
ccsoneobj = ccsone.CCSOne(IP_ADDRESS, PORT, AUTHNAME, HOTKEYS)

on creation connected devices and cameras are fetched
responses are handled automatically in a recieve thread

### close connection:
ccsoneobj.close()

### get device information:
ccsoneobj.getdeviceinformation()

### add camera object:
ccsoneobj.addcam(CAMERA_NUMBER)

### subscribe to function:
ccsoneobj.cams[CAMERA_NUMBER].valuesubscribe(FUNCTION_ID)

### get function value / subscribe if not known:
ccsoneobj.getfunctionvalue(FUNCTION_ID)

### change function value:
ccsoneobj.cams[CAMERA_NUMBER].functionvaluechange(FUNCTION_ID, VALUE)

### set tally state:
ccsoneobj.cams[CAMERA_NUMBER].settally(TALLY_STATE)

### toggle tally state:
ccsoneobj.cams[CAMERA_NUMBER].toggletally()

### get tally state:
ccsoneobj.cams[CAMERA_NUMBER].gettally()

### set gain COLOR=>(r,g,b) VALUE=>0-99:
ccsoneobj.cams[CAMERA_NUMBER].setgain(COLOR, VALUE)

### get gain (r,g,b):
ccsoneobj.cams[CAMERA_NUMBER].getgain(COLOR)

### get Fstop:
ccsoneobj.cams[CAMERA_NUMBER].getf()